section.notification {
    background: var(--grey);
    margin: 0 10px;
    padding: 5px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    display: var(--notification-display);
}

section.notification p {
    color: var(--main);
    text-decoration: none;
    margin: 0 10px;
    padding: 5px 10px;
    user-select: none;
}

section.notification > div {
    display: none;
}

input.notification {
    position: absolute;
    margin: none;
    width: calc(100vw - 4px);
    height: 35px;
    cursor: pointer;
    opacity: 0;
    display: var(--notification-display);
}

input.notification:checked {
    height: 100vh;
    width: 100vw;
    position: fixed;
    margin: 0;
    top: 0;
    left: 0;
    z-index: 2;
    opacity: 0;
}

input.notification:checked + section.notification {
    background: var(--lvlup);
    height: 100vh;
    width: 100vw;
    position: fixed;
    margin: 0;
    top: 0;
    left: 0;
    z-index: 1;
}

input.notification:checked + section.notification > p {
    display: none;
}

input.notification:checked + section.notification > div {
    display: block;
}

nav {
    background: var(--lvlup);
    margin: 0 10px;
    padding: 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0 0 5px 5px;
    white-space: nowrap;
}

nav a {
    color: var(--color);
    text-decoration: none;
    font-size: 18px;
    margin: 0 10px;
    font-weight: bold;
    padding: 2.5px 7px;
    user-select: none;
}

nav a:hover {
    color: var(--main);
    background: var(--background);
    border-radius: 5px;
}

input.navbar {
    position: absolute;
    margin: none;
    width: calc(100vw - 4px);
    height: 40px;
    opacity: 0;
    pointer-events: none;
}

@media screen and (max-width: 1200px) {

    input.navbar {
        pointer-events: auto !important;
    }

    input.navbar:checked + nav {
        height: 100vh;
        width: 100vw;
        position: fixed;
        margin: 0;
        top: 0;
        left: 0;
        z-index: 1;
        display: block;
    }

    input.navbar:checked + nav > span:nth-child(3) {
        display: block;
        height: calc(100% - 80px);
    }

    input.navbar:checked + nav label {
        margin: 0 10px 0 auto !important;
    }

    input.navbar:checked + nav > a {
        width: 100%;
        text-align: center;

    }
}

nav span {
    width: 100%;
}

#switch[type=checkbox]{
	height: 0;
	width: 0;
	visibility: hidden;
}

label {
	cursor: pointer;
	text-indent: -9999px;
	min-width: 40px;
    max-width: 40px;
	height: 20px;
	background: var(--grey);
	display: block;
	border-radius: 3px;
	position: relative;
    margin: 0 10px 0 -40px;
}

label:after {
	content: '';
	position: absolute;
	top: 2.5px;
	left: 2.5px;
	width: 15px;
	height: 15px;
	background: #fff;
	border-radius: 3px;
	transition: 0.3s;
}

#switch:checked + label {
	background: var(--main);
}

#switch:checked + label:after {
	left: calc(100% - 5px);
	transform: translateX(-90%);
}

#switch:active:after {
	width: 130px;
}